iCalendlyDeveloper Docs
Cal unified calendars

PATCHUpdate event for a connection

Update an event on the specified calendar connection. Only supported for Google Calendar connections; other connection types return 400.

PATCH/v2/calendars/connections/{connectionId}/events/{eventId}

Request Body

application/jsonRequired
startobject

Start date and time of the calendar event with timezone information

endobject

End date and time of the calendar event with timezone information

titlestring

Title of the calendar event

descriptionstring

Detailed description of the calendar event

attendeesarray<object>

List of attendees. CAUTION: You must pass the entire array with all updated values. Any attendees not included in this array will be removed from the event.

statusstring

Status of the event (accepted, pending, declined, cancelled)

Value in: "accepted" | "pending" | "declined" | "cancelled"

Path Parameters

connectionIdRequiredstring
eventIdRequiredstring

Query Parameters

calendarIdstring

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X PATCH "https://example.com/v2/calendars/connections/<string>/events/<string>?calendarId=%3Cstring%3E" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "start": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "end": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "title": "string",
    "description": "string",
    "attendees": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted",
        "self": true,
        "optional": true,
        "host": true
      }
    ],
    "status": "accepted"
  }'

{
  "status": "success",
  "data": {
    "start": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "end": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "id": "string",
    "title": "string",
    "description": "string",
    "locations": [
      {
        "type": "video",
        "url": "string",
        "label": "string",
        "password": "string",
        "meetingCode": "string",
        "accessCode": "string"
      }
    ],
    "attendees": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted",
        "self": true,
        "optional": true,
        "host": true
      }
    ],
    "status": "accepted",
    "hosts": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted"
      }
    ],
    "calendarEventOwner": {
      "email": "string",
      "name": "string"
    },
    "source": "google"
  }
}